org.jbpm.workflow.core.node

## Class EndNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.EndNode

- All Implemented Interfaces:
    Serializable, Contextable, ContextResolver, org.kie.api.definition.process.Node

      public class EndNode
      extends ExtendedNodeImpl

  Default implementation of an end node.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONTAINER_SCOPE`
    `static int` | `PROCESS_SCOPE`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndNode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getActionTypes()`
    `int` | `getScope()`
    `boolean` | `isTerminate()`
    `void` | `setScope(int scope)`
    `void` | `setTerminate(boolean terminate)`
    `void` | `validateAddIncomingConnection(String type, org.kie.api.definition.process.Connection connection)`
    `void` | `validateAddOutgoingConnection(String type, org.kie.api.definition.process.Connection connection)`
    `void` | `validateRemoveOutgoingConnection(String type, org.kie.api.definition.process.Connection connection)`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, validateRemoveIncomingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTAINER_SCOPE

          public static final int CONTAINER_SCOPE

      See Also:
        Constant Field Values

    - #### PROCESS_SCOPE

          public static final int PROCESS_SCOPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EndNode

          public EndNode()

  - ### Method Detail

    - #### isTerminate

          public boolean isTerminate()

    - #### setTerminate

          public void setTerminate(boolean terminate)

    - #### getActionTypes

          public String[] getActionTypes()

      Overrides:
        `getActionTypes` in class `ExtendedNodeImpl`

    - #### validateAddIncomingConnection

          public void validateAddIncomingConnection(String type,
                                           org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddIncomingConnection` in class `NodeImpl`

    - #### validateAddOutgoingConnection

          public void validateAddOutgoingConnection(String type,
                                           org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddOutgoingConnection` in class `NodeImpl`

    - #### validateRemoveOutgoingConnection

          public void validateRemoveOutgoingConnection(String type,
                                              org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateRemoveOutgoingConnection` in class `NodeImpl`

    - #### setScope

          public void setScope(int scope)

    - #### getScope

          public int getScope()

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.